import pyb
from pyb import Pin
import network
import usocket as socket

get_out = Pin(Pin.board.D4, Pin.OUT)
get_out.value(0)

SSID = "ST67_fat_2.4G"
PASS = "0988719859"
HOST = "ideaschain.com.tw"
API_URL = "iiot.ideaschain.com.tw"
DEVICE_KEY = "N0aQ40M9R8PbGN6ucZLz"
def wifi(): 
	try:
		print("connecting to wifi")
		wlan = network.WLAN()
		wlan.connect(SSID, PASS)
		p
	except:
		print("Wifi module initial error, reconnecting......")
		pyb.delay(1000)
		wifi()

wifi()
print("Wi-Fi connect")

param_data = "{\n \"key1\": \"value1\"\n}"
param_lenth = str(len(param_data))

addr = socket.getaddrinfo(HOST, 80)[0][-1]
print(addr)

request_str = """\
POST /api/v1/"""+DEVICE_KEY+"""/telemetry HTTP/1.1\r
Content-Type: application/json\r
Content-Length: """+param_lenth+"""\r
Host: """+API_URL+"""\r
\r\n"""+param_data

print(request_str);

def go(): 
	try:
		s = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
		print("connecting to server")
		s.connect(addr)
		pyb.delay(1000)
		print("server is connected")
		get_out.value(1)
		s.send(bytes(request_str, 'utf8'))
		print("send done")
		get_out.value(0)
		s.close()
	except:
		print("except")
		pyb.delay(1000)
		
while True:
	go()
	pyb.delay(1000)
